<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Change Password</title>
</head>

<style>
  .card {
    background-color: #f5f5f5;
    padding: 20px;
    margin: 20px;
    border-radius: 5px;
  }
</style>

<%- include('partials/header2')-%>

<body>


  <div class="card">
    <span style="color:red;">
      <% if (locals.message) {%>
      <%= message %>
      <%};%>
    </span>
    <div class="form-header">
      <h2>Change Password</h2>
    </div>
    <br>
    <div class="form-body">
      <form action="/website/changepw" method="POST">
        <div class="form-group">
          <label for="pwd">Original Password:</label>
          <input type="password" name="password" class="form-control"
            id="password" required>
        </div>
        <br>
        <div class="form-group">
          <label for="pwd">New Password:</label>
          <input type="password" name="newpassword" class="form-control"
            id="newpassword" required>
        </div>
        <br>
        <div class="form-group">
          <label for="pwd">Re-type Password:</label>
          <input type="password" name="repassword" class="form-control"
            id="repassword" required>
        </div>
        <br>
    </div>
    <div class="form-actions">
      <button type="submit" class="btn btn-default">Confirm Change</button>
      <a href="dashboard" class="btn btn-default">Back to Dashboard</a><br><br>
    </div>
    </form>
  </div>
  <script>
    var password = document.getElementById("password"),
      newpassword = document.getElementById("newpassword"),
      repassword = document.getElementById("repassword");


    function validatePassword() {
      if (newpassword.value === password.value) {
        newpassword.setCustomValidity("Same passwords as Original");
      } else {
        newpassword.setCustomValidity('');
      }

      if (newpassword.value != repassword.value) {
        repassword.setCustomValidity("Passwords Don't Match");
      } else {
        repassword.setCustomValidity('');
      }
    }

    password.onchange = validatePassword;
    newpassword.onchange = validatePassword;
    repassword.onkeyup = validatePassword;
  </script>

</body>
<%- include('partials/footer')-%>

</html>